# Type alias JsExecutionConfig

JsExecutionConfig: { after?: ((args: JsEventArgs) => void); before?: ((args: JsCancelEventArgs) => void); disable?: boolean }

JavaScript execution configuration.

#### Type declaration

- ##### `Optional` after?: ((args: JsEventArgs) => void)

  - - (args: JsEventArgs): void

    - Handler function which will be called after JS action execution finished.

      #### Parameters

      - ##### args: JsEventArgs

      #### Returns void

- ##### `Optional` before?: ((args: JsCancelEventArgs) => void)

  - - (args: JsCancelEventArgs): void

    - Handler function which will be called before JS action execution started. You can modify the args.jsCode property inside this handler function. Set the args.cancel property to true if you wish to prevent further JS action execution;

      #### Parameters

      - ##### args: JsCancelEventArgs

      #### Returns void

- ##### `Optional` disable?: boolean

  Set this setting to true if you want to permanently disable the JS action executor.